#include <bits/stdc++.h>
#define endl '\n';
using namespace std;
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int n;
    cin >> n;
    bool ok = false;
    for(int i = 0; i<n; i++){
        ok = false;
        double a;
        cin >> a;
        for(double j = 1; j<a/2; j++){
            if(sqrt(j)*sqrt(j)==j && sqrt(a-j)*sqrt(a-j)==a-j){
                cout << 1;
                ok = true;
                break;
            }
        }
        if(!ok){
            cout << 0;
        }
    }
    return 0;
}
